<?php

error_reporting(E_ERROR | E_PARSE);

require_once "connect.php";
require_once '../inc/messages.php';

require_once '../inc/usuario_comanda.php';


checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];
$id_unidade=$usuario_list['unidade'];


//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id         = $_POST['id'];
}

$nr_comanda = $_POST['nr_comanda'];
$id_produto = $_POST['id_produto'];
$id_unidade_medida = $_POST['id_unidade_medida'];
$ds_observacao = '';
$ds_observacao .= $_POST['ds_observacao'];
$st_tipo = $_POST['st_tipo'];

$qt_pedido  = str_replace(",", ".", $_POST['qt_pedido']); 
$vl_unitario= str_replace(",", ".", $_POST['vl_unitario']); // inverter formato BR 1,6789 para MySql 1.6789
/*
echo "<pre>";
echo "<br>$nr_comanda";
echo "<br>$id_produto";
echo "<br>$id_unidade_medida";
echo "<br>$qt_pedido";
echo "<br>$vl_unitario";
echo "<br>$id_usuario";
echo "</pre>";
exit;
*/

$ok = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_comanda(
           id_unidade, nr_comanda,    id_produto,    id_unidade_medida,    qt_pedido,    vl_unitario, ds_pedido,  id_usuario, st_comanda, st_entrega, st_impressao)
  values( '$id_unidade', '$nr_comanda', '$id_produto', '$id_unidade_medida', '$qt_pedido', '$vl_unitario', '$ds_observacao', $id_usuario, 1, 0, 0)";
}

// Se montou o SQL, executa
if($sql!=""){
  // echo "<br>$sql";
  try{
    $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
    $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

    addMessage("Produto incluído com sucesso!");
  }catch (Exception $e) {
    $errorMsg = $e->getMessage();
    addError("Houve um erro ao incluir produto, verifique a quantidade informada:" . $errorMsg);
  }  
}


/*
//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = ".........=======> " . $errorMsg;
    $msg['type'] = 'error';
  }
  //header('Content-type: application/json');
  echo json_encode($msg);
}else{
  if($st_tipo == 0){
    ?>
    <!--iframe hidden src="../erpc_comanda_recibo.php?id_comanda=3" height="200" width="300"></iframe-->
    <?php
    header("Location:erpc_comanda_selecionar.php");    
  }else{
    header("Location: erpc_comanda_categorias.php?id_comanda=$nr_comanda"); 
  }
  
}
*/
?>

<!DOCTYPE html>
 <html>
 <head>
     <meta charset="UTF-8"/>
     <title>Document</title>
 </head>
 <body>
     <!-- Conteúdo -->

<?php
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = ".........=======> " . $errorMsg;
    $msg['type'] = 'error';
  }
  //header('Content-type: application/json');
  echo json_encode($msg);
}else{
  if($st_tipo == 0){
    ?>
    <!--<iframe  sandbox="allow-top-navigation" src="../erpc_comanda_recibo.php?id_comanda=<?php echo $nr_comanda ?>" height="200" width="300"></iframe>-->
    <script>
    var url;
    urlTogo ="../erpc_comanda_recibo.php";
    //urlTogo = "erpc_comanda_recibo.php";
    urlTogo = urlTogo + window.location.search;
    
    //alert (urlTogo);
      document.write("<iframe hidden sandbox='allow-top-navigation' src=");
      document.write(urlTogo);
      document.write(" height='200' width='300'></iframe>");
      window.top.location.href = urlTogo;
    </script>
    

    <?php
    //header("Location:erpc_comanda_selecionar.php");    
  }else{
      ?>
      <script> //alert(window.location.search)</script>
      
      <?php 
    header("Location: erpc_comanda_categorias.php?id_comanda=$nr_comanda"); 
  }
  
}
?>

 </body>
 </html>
